PaymentsOrdersCreate payment

Create payment/order

This endpoint allows you to create a payment for a static crypto wallet gateway. For payment processing gateways, refer to GET /api/v1/payments/address. In our domain, payment and order are synonymous terms. When processing transactions of your static crypto wallet, it is preferred, but nor required, that payment is created first. If you have not created a payment, but made a deposit to the wallet, we will create a new payment automatically. But if you have created it, we will firstly process the pre-created payments (so that they will not expire). Among the payments with status created, we will choose the one, which is the most suitable by the amount value. But if none could be selected, we will consider one of the payments with status created. When processing, the amount of your payment/order will be checked again, and if you have deposited a different amount, we will update your payment to have proper values of amount and amount_gross. If an order was created, but you did not deposit any amount to your crypto wallet, the payment will expire. Expiration time for gateways, other than BTC, is 1hour. For BTC, it is 1hour 30min.

POST
/api/v1/payments

Header Parameters

Authorization*string

Your API token

Request Body

application/json

Payment/order creation parameters

Response Body

application/json

application/json

application/json

curl -X POST "https://dev-refactor-api-e.voipenv.uk/api/v1/payments" \  -H "Authorization: string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "code": 0,
  "data": {
    "id": 0
  },
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "ok"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
{
  "code": 0,
  "error_details": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  },
  "message": "string",
  "request_id": "string",
  "status": "error"
}
Form Call To Action

Contact us

You can always send us a message or email. Weʼd be happy to help you out.